##%%%global debug_package %{nil}

%global alt_name XaoS

%global git_date  20250522
%global git_hash  9647199
%global git_ver  4.3.4
%global rel  1
%global src_name  XaoS-%{git_date}-%{git_hash}.tar.xz

Name:           xaos
Version:	%{git_ver}^%{git_date}g%{git_hash}
Release:	%{rel}%{?dist}
Summary:        A fast, portable real-time interactive fractal zoomer

License:        GPLv2+
URL:            https://github.com/xaos-project/XaoS
Source0:	%{url}/%{src_name}
Patch1:		install-destination.patch

BuildRequires:	gcc-c++ make cmake kf6-rpm-macros


%description
XaoS is a fast, portable real-time interactive fractal zoomer. It
displays the Mandelbrot set (among other escape time fractals) and
allows you zoom smoothly into the fractal. Various coloring modes are
provided for both the points inside and outside the selected set. XaoS
supports switching between Julia and Mandelbrot fractal types and
on-the-fly plane switching.


%prep
%autosetup -p1 -n XaoS


%build
%cmake_kf6 -DCMAKE_BUILD_TYPE=RelWithDebInfo \
%cmake_build


%install
%cmake_install


%files
%doc CREDITS.md NEWS doc/README
%license COPYING
%{_bindir}/%{alt_name}
%{_datadir}/%{alt_name}
%{_datadir}/applications/io.github.xaos_project.XaoS.desktop
%{_datadir}/metainfo/%{name}.appdata.xml
%{_datadir}/pixmaps/%{name}.png
%{_mandir}/man6/xaos.6.gz

%changelog
%autochangelog
